OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
InactiveTileValues< TreeType > Class Template Reference

`#include <Diagnostics.h>`

## Public Types
using | IterRange = tree::IteratorRange< typename TreeType::ValueOffCIter >
using | ValueType = typename TreeType::ValueType
using | SetType = std::set< ValueType >

## Public Member Functions
| InactiveTileValues (size_t numValues)
void | runParallel (IterRange &)
void | runSerial (IterRange &)
void | getInactiveValues (SetType &) const
| InactiveTileValues (const InactiveTileValues< TreeType > &, tbb::split)
void | operator() (IterRange &)
void | join (const InactiveTileValues< TreeType > &)

## Member Typedef Documentation

## ◆ IterRange

using IterRange = tree::IteratorRange<typename TreeType::ValueOffCIter>

## ◆ SetType

using SetType = std::set<ValueType>

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ InactiveTileValues() [1/2]

InactiveTileValues | ( | size_t | numValues | ) |

## ◆ InactiveTileValues() [2/2]

InactiveTileValues | ( | const InactiveTileValues< TreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ getInactiveValues()

void getInactiveValues | ( | SetType & | values | ) | const
| inline

## ◆ join()

void join | ( | const InactiveTileValues< TreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | IterRange & | range | ) |
| inline

## ◆ runParallel()

void runParallel | ( | IterRange & | range | ) |

## ◆ runSerial()

void runSerial | ( | IterRange & | range | ) |

The documentation for this class was generated from the following file:

- Diagnostics.h